/**
 * Represents a message send by a publisher to subscribers of a bus
 *
 * To create a Message: `new Message(data)`
 *
 * The messager issuer can also be set on creation: `new Message(data, issuer)`
 *
 * @param {any} data The data to send
 * @param {any} [issuer] (optional) The issuer of the message
 */
export declare class Message {
    private data;
    private issuer;
    private timestamp;
    constructor(data: any, issuer?: any);
    getData(): any;
    getIssuer(): any;
    getTimestamp(): number;
}
