"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = void 0;
/**
 * Represents a message send by a publisher to subscribers of a bus
 *
 * To create a Message: `new Message(data)`
 *
 * The messager issuer can also be set on creation: `new Message(data, issuer)`
 *
 * @param {any} data The data to send
 * @param {any} [issuer] (optional) The issuer of the message
 */
var Message = /** @class */ (function () {
    function Message(data, issuer) {
        this.timestamp = Date.now();
        this.data = data;
        this.issuer = issuer;
    }
    Message.prototype.getData = function () {
        return this.data;
    };
    Message.prototype.getIssuer = function () {
        return this.issuer;
    };
    Message.prototype.getTimestamp = function () {
        return this.timestamp;
    };
    return Message;
}());
exports.Message = Message;
